Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Mar 2012 22:26:49 -0400

>> A ding is obnoxious to many people.

Those who don't like dings can customize it with visible-bell and
ring-bell-function, so I wouldn't worry too much about it.

> That's why I think it's appropriate here ;-)

I'm not sure I understand what the current behavior is, from what you
say, the situation is rather unusual and warrants trying to get the
user's attention, so maybe a ding is warranted.
But is the message actually visible or does it get immediately
overwritten by some other message?

        Stefan